package com.ecep.contract.controller.contract;

import com.ecep.contract.controller.tab.AbstEntityBasedTabSkin;
import com.ecep.contract.controller.tab.TabSkin;

import com.ecep.contract.service.ContractService;
import com.ecep.contract.vm.ContractViewModel;
import com.ecep.contract.vo.ContractVo;

public abstract class AbstContractBasedTabSkin
        extends AbstEntityBasedTabSkin<ContractWindowController, ContractVo, ContractViewModel>
        implements TabSkin {

    public AbstContractBasedTabSkin(ContractWindowController controller) {
        super(controller);
        viewModel = controller.getViewModel();
    }

    public ContractService getContractService() {
        return controller.getViewModelService();
    }
}
